/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
/* классы содержимого раздела "Каталог" */


main{
	display: flex;
    flex: 1 0 auto;
	padding: 0px;
	margin: 0px;
	border-left: 2px solid #9CB8C3;
	border-right: 2px solid #9CB8C3;
	border-bottom: 2px solid #0309FF;
	}
.h1-catalog{
	font-size: 16pt;
	padding: 0px;
	margin-top: 0px;
	margin-bottom: 0px;
	text-align: center;
	background-color: #FFDB00;	
	}
.block-left-catalog{
	display: inline-block;	
	width: 300px;
	min-height: 200px;
	padding: 0px;
	margin: 0px;
	margin-bottom: 10px;
	}	

.block-filters{
	display: block;
	margin-bottom: 10px;
	padding-left: 1px;
	border: 2px solid black;
	padding-bottom: 5px;
}

.name-filters{
	font-size: 12pt;
	padding: 0px;
	margin: 0px;
	background-color: #66FCAA;	
	}
.filters{
	width: 300px;
	margin-left: auto;
    margin-right: auto;
	}	
.Select-Category {
	display: block;
	height: 50px;
	width: 98%;
	border: 4px solid black;
	border-radius: 10px;
	text-align: center;
	font-size: 16pt;
	font-weight: bold;	
	margin-top: 4px;
	margin-bottom: 4px;
	margin-left: auto;
    margin-right: auto;
	}
.Type_A {
	padding: 0px;
	height: 50px;
	width: 48%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: green;
	font-size: 16pt;
	font-weight: bold;
	}
.Type_A:hover {
	background-color: blue;
	}

.Type_B {
	height: 50px;
	width: 48%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: white;
	font-size: 16pt;
	font-weight: bold;
	}
.Type_B:hover {
	background-color: blue;
	}

.Step_05 {
	height: 50px;
	width: 23%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: green;
	font-size: 16pt;
	font-weight: bold;
	}
.Step_05:hover {
	background-color: blue;
	}
.Step_08 {
	height: 50px;
	width: 23%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: white;
	font-size: 16pt;
	font-weight: bold;
	}
.Step_08:hover {
	background-color: blue;
	}
.Step_1 {
	height: 50px;
	width: 23%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: white;
	font-size: 16pt;
	font-weight: bold;
	}
.Step_1:hover {
	background-color: blue;
	}
.Step_125 {
	height: 50px;
	width: 23%;
	border: 4px solid black;
	border-radius: 10px;
	background-color: white;
	font-size: 16pt;
	font-weight: bold;
	}
.Step_125:hover {
	background-color: blue;
	}
.Selects {
	display:block;
	}
.PinAndLength {
	display:inline-block;
	}
.Select-Pin {
	height: 50px;
	width: 98%;
	border: 4px solid black;
	border-radius: 10px;
	font-size: 16pt;
	font-weight: bold;
	}
.Select-Length {
	height: 50px;
	width: 98%;
	border: 4px solid black;
	border-radius: 10px;
	font-size: 16pt;
	font-weight: bold;
	}
.block-marketing{
	display: block;
	border: 2px solid black;
	padding-bottom: 5px;
}

.name-marketing{
	font-size: 12pt;
	font-weight: bold;
	padding: 0px;
	margin: 0px;
	background-color: #66FCAA;	
	}
.img-marketing{
	width: 90%;
	border: 1px solid #565656;

}



.block-tovars{
	display: inline-block;
	flex: 1;
	padding: 0px;
	margin: 0px;
	border-left: 2px solid #9CB8C3;
	background-color: #FBFBE9;
	}
.tovary{
	display: block;
	flex: 1;
	padding: 0px;
	margin: 0px;	
	}
.tovar{
	display: inline-block;
	position: relative;
	width: 24%;
	padding: 0px;
	margin-top: 3px;
	text-align: center;
	/*border: 1px solid #0309FF;
	border-radius: 1% */

	}

.image_tovara-cat {
	display: inline-block;
	position: relative;
	margin-top: 0px;
	margin-bottom: 0px;
	border: 1px solid #C7CAD1;
	z-index: 200;
	cursor: pointer;
	
}

.podpis_tovara-cat-plata {
	display: block;
	position: relative;
	width: 213px;
	margin-top: 4px;
	margin-bottom: 4px;
	padding: 4px;
	margin-bottom: 3px;
	margin-left: auto;
    margin-right: auto;
    z-index: 200;
    cursor: pointer;
}

.podpis_tovara-cat-shleif {
	display: block;
	position: relative;
	width: 250px;
	margin-top: 1px;
	margin-bottom: 4px;
	padding-top: 0px;
	padding-bottom: 10px;
	margin-bottom: 3px;
	margin-left: auto;
    margin-right: auto;
    z-index: 200;
    cursor: pointer;
}

.podrob_o_tovare-cat {
	display: block;
	margin-top: 4px;
	margin-bottom: 4px;
	z-index: 5;
	cursor: pointer;
}

.PosmotPodrob{
	position: absolute;
	top: 2px;
	left: 2%;
	width: 96%;
	height: 97%;
	z-index: 1000;
	cursor: pointer;
	opacity: 0;
}
.PosmotPodrob a {
     display: block; /* Ссылка как блочный элемент */
     text-align: center; /* Выравнивание по центру */
     height: 100%; /* Высота на весь слой */
     color: #666; /* Цвет ссылки */
}

@media screen and (max-width: 1600px) {
	.tovar{
		width: 32.5%;
		}
}

@media screen and (max-width: 1200px) {
	.tovar{
		width: 49%;
		}
	.h1-catalog{
		font-size: 14pt;	
		}
}




@media screen and (max-width: 900px) {
	main{
		display: block;
		}
	.block-left-catalog{
		display: flex;
		width: 100%;
		
		}
	.block-filters{
		display: inline-block;
		width: 300px;
		height: 280px;
		text-align: center;
		margin-bottom: 0px;
	}

	.block-marketing{
		display: inline-block;
		flex: 1;
		width: 50%;
		height: 280px;
		border: none;
		}
	.img-marketing{
		height: 262px;
		width: auto;
		margin-top: 5px;
		border: 2px solid black;
		}

	.block-tovars{
		display: block;
		}


}


@media screen and (max-width: 600px) {
	.block-marketing{
		display: none;
		}
	.block-filters{
		flex: 1;
		

	}

	.tovar{
		width: 98%;
		}
}
